Subject: Re: bug#23902: 25.1.50; Strange warning on string-collate-equalp's docstring

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 Jul 2016 19:30:09 +0300

> From: Michael Heerdegen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 06 Jul 2016 17:55:16 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > > I also have trouble to understand.  How can I compare file names modulo
> > > collate-equality, if not with this function?
> >
> > With string=, of course.  (Or, better yet, with file-equal-p, but
> > that's a different story.)
> 
> Does that compare mod collate-equality?

Sorry, I cannot parse this.

> > > But we are speaking about the docstring of `string-collate-equal-p'.
> > > It is not clear here how it (as an equivalence predicate) could be
> > > useful for sorting at all.
> >
> > If it is not useful, then the issue against which the note warns
> > doesn't exist, does it?
> 
> Useful for equality testing, or for comparing (and sorting)?

Could be for either.  It depends on what the programmer wants to
achieve; we are talking some hypothetical application here.

> I don't understand why the doc of `string-collate-equal-p' mentions
> sorting at all.  Is it useful for that?

<Shrug> It could be used to gather similar "equivalent" file names
together, for example.